routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', 'WelcomeController@index')
    ->name('welcome');

Route::get('/home', function () {
    return redirect('/');
});

Auth::routes();

/*
 * Ramais
*/
$router->group(['prefix' => '/admin', 'middleware' => 'auth'], function ($router) {
    $router->resource('/ramais', 'Admin\\BranchController', [
	    'as' => 'admin',
	])->parameters(['ramais' => 'branch']);

    $router->resource('/informativos', 'Admin\\InformativeController', [
	    'as' => 'admin',
	])->parameters(['informativos' => 'informative']);

    $router->resource('/links', 'Admin\\LinkController', [
	    'as' => 'admin',
	])->parameters(['links' => 'link']);

	$router->resource('/configuracoes', 'Admin\\SettingController', [
        'as' => 'admin',
	])->parameters(['configuracoes' => 'setting']);

    $router->resource('/usuarios', 'Admin\\UserController', [
        'as' => 'admin',
	])->parameters(['usuarios' => 'user'])
        ->only('index', 'edit', 'update');
});

/*
 * Ramais
*/
$router->group(['prefix' => '/ramais'], function ($router) {
    $router->get('/', 'BranchesController@index')
        ->name('branches.branch.index');
});

/*
 * Frequencias
*/
$router->group(['prefix' => '/frequencias'], function ($router) {
    $router->get('/', 'FrequencyController@index')
        ->name('frequencies.frequency.index')
        ->middleware('auth');

    $router->post('/', 'FrequencyController@store')
        ->name('frequencies.frequency.store')
        ->middleware('auth');
});

/*
 * Informativos
*/
$router->group(['prefix' => 'informativos'], function($router) {
    $router->get('/', 'InformativeController@index')
        ->name('informatives.informative.index')
        ->middleware('auth');
});


$router->group(['prefix'=> 'tickets'], function($router) {
    $router->get('/', 'TicketsController@index')
        ->name('tickets.ticket.index');

    $router->post('/', 'TicketsController@send')
        ->name('tickets.ticket.send')
        ->where('sector', '[0-9]+');

    $router->get('/ti', 'TicketsController@ti')
        ->name('tickets.ticket.ti');

    $router->get('/infra', 'TicketsController@infra')
        ->name('tickets.ticket.infra');

});

/*
Route::group(
[
    'prefix' => 'tickets',
], function () {

    Route::get('/', 'TicketsController@index')
      ->name('tickets.ticket.index');

    Route::get('/ti', 'TicketsController@ti')
      ->name('tickets.ticket.ti');

    Route::get('/infra', 'TicketsController@infra')
      ->name('tickets.ticket.infra');

    Route::post('/', 'TicketsController@send')
      ->name('tickets.ticket.send')
      ->where('sector', '[0-9]+');

});
*/

resources/views/layouts/frequency.blade.php
<!DOCTYPE html>
<html lang="{{ app()->getLocale() }}">
<head>
    <meta charset="utf-8">
    <!-- <link href="https://fonts.googleapis.com/css?family=Roboto+Condensed" rel="stylesheet"> -->
    @yield('meta')
</head>

<body>
    <div id="frequency">
        @yield('content')
    </div>

    <!-- Scripts -->
</body>

</html>

resources/views/layouts/modules.blade.php
<!DOCTYPE html>
<html lang="{{ app()->getLocale() }}">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- CSRF Token -->
    <meta name="csrf-token" content="{{ csrf_token() }}">

    <title>Intranet Campus {{ \Illuminate\Support\Str::title(config('app.campus', '')) }}</title>

    <!-- favicon icons -->
    <link rel="apple-touch-icon" sizes="57x57" href="/apple-icon-57x57.png">
    <link rel="apple-touch-icon" sizes="60x60" href="/apple-icon-60x60.png">
    <link rel="apple-touch-icon" sizes="72x72" href="/apple-icon-72x72.png">
    <link rel="apple-touch-icon" sizes="76x76" href="/apple-icon-76x76.png">
    <link rel="apple-touch-icon" sizes="114x114" href="/apple-icon-114x114.png">
    <link rel="apple-touch-icon" sizes="120x120" href="/apple-icon-120x120.png">
    <link rel="apple-touch-icon" sizes="144x144" href="/apple-icon-144x144.png">
    <link rel="apple-touch-icon" sizes="152x152" href="/apple-icon-152x152.png">
    <link rel="apple-touch-icon" sizes="180x180" href="/apple-icon-180x180.png">
    <link rel="icon" type="image/png" sizes="192x192"  href="/android-icon-192x192.png">
    <link rel="shortcut icon" href="/favicon.ico">
    <!-- <link rel="icon" type="image/png" sizes="32x32" href="/favicon-32x32.png"> -->
    <!-- <link rel="icon" type="image/png" sizes="96x96" href="/favicon-96x96.png"> -->
    <!-- <link rel="icon" type="image/png" sizes="16x16" href="/favicon-16x16.png"> -->
    <link rel="manifest" href="/manifest.json">
    <meta name="msapplication-TileColor" content="#ffffff">
    <meta name="msapplication-TileImage" content="/ms-icon-144x144.png">
    <meta name="theme-color" content="#ffffff">

    <!-- Styles -->
    <link href="{{ asset('css/app.css') }}" rel="stylesheet">
</head>
<body>
  <div id="app">
    <div class="section">
      <div class="container">
        <div class="columns is-vcentered">
          <div class="column">
            <div class="">
              <!-- Branding Image -->
              <a class="logo" href="{{ url('/') }}">
                <img src="{{ URL::asset('/img/logo-ifce.png') }}" alt="Intranet Campus {{ config('app.name', '') }}" class="if-logo" />
              </a>
            </div> <!-- -->
          </div> <!-- column -->

          <div class="column">
            @include('layouts.navigation')
          </div> <!-- column -->

        </div> <!-- columns -->
      </div> <!-- container -->

      @yield('content')
    </div> <!-- section -->

    <div class="section">
      <div class="container">
        <div class="columns is-vcentered">
          <div class="column">
        <div class="notification is-paddingless is-white has-text-centered">
          <ul class="is-size-7">
            <li>Desenvolvido por CTI - Acopiara</li>
            <li>Precisando de ajuda? <a class="modal-button" data-target="modal-support">Clique aqui</a></li>
            <!-- <li>Instruções para implantação no seu campus</li> -->
          </ul>
        <div>
      </div>
        <div>
      </div>
    </div>

    <!-- This is the modal -->
    <div id="modal-support" class="modal">
      <div class="modal-background"></div>
      <div class="modal-content">
        <div class="box">
        <h2 class="title">Suporte</h2>
        <p class="content">
           Desenvolvimento: Coordenação de Tecnologia da Informação do
           IFCE - Campus Quixadá. Administração e Adaptação: CTI - Acopiara. Caso você tenha alguma dúvida,
           <a href="{{ route('tickets.ticket.index') }}">abra um chamado</a>,
           ou .
        </p>
        <p class="content has-text-right">
          <a class="button is-primary" data-target="modal-support">Entendi.</a>
        </p>
      </div> <!-- box -->
      </div> <!-- modal-content -->
    </div>
    <!-- Scripts -->
    <script src="{{ asset('js/app.js') }}"></script>
    @yield('jscontent')

    </div> <!-- section -->
  </div> <!-- app -->
</body>
</html>

resources/views/layouts/navigation.blade.php
<nav class="navbar is-transparent">
  <div class="navbar-brand">
    <div class="navbar-burger burger" data-target="navbarExampleTransparentExample">
      <span></span>
      <span></span>
      <span></span>
    </div>
  </div>

  <div id="navbarExampleTransparentExample" class="navbar-menu">
    <div class="navbar-end">

    @if (Auth::guest())
      <div class="navbar-item">
        <div class="field is-grouped">
          <p class="control">
            <a class="bd-tw-button button is-white" href="{{ route('login') }}">
              <span class="icon">
                <i class="mdi mdi-login"></i>
              </span>
              <span>
                Acessar
              </span>
            </a>
          </p>
        </div>
      </div>
    @else
      <div class="navbar-item has-dropdown is-hoverable">
        <a class="navbar-link">
          {{ Auth::user()->getAttributes()['name'] }}
        </a>
        <div class="navbar-dropdown">
          @if (Auth::user()->role == 'admin')
            <a class="navbar-item" href="{{ route('admin.usuarios.index') }}">Usuários</a>
            <a class="navbar-item" href="{{ route('admin.ramais.index') }}">Ramais</a>
            <a class="navbar-item" href="{{ route('admin.informativos.index') }}">Informativos</a>
            <a class="navbar-item" href="{{ route('admin.links.index') }}">Links</a>
            <a class="navbar-item" href="{{ route('admin.configuracoes.index') }}">Configurações</a>
          @endif
          <a href="{{ route('logout') }}"
            class="navbar-item"
            onclick="event.preventDefault();
            document.getElementById('logout-form').submit();">
            <span class="icon">
              <i class="mdi mdi-logout"></i>
            </span>
            Sair
          </a>

          <form id="logout-form" action="{{ route('logout') }}" method="POST" style="display: none;">
            {{ csrf_field() }}
          </form>
        </div>
      </div> <!-- has-dropdown -->

    @endif <!-- if auth guest -->
    </div>
  </div>
</nav>